<?php

/**
 * @file
 * Bulk export of views_default objects generated by Bulk export module.
 */

/**
 * Implementation of hook_views_default_views()
 */
function ec_receipt_views_default_views() {
  $views = array();

  $view = new view;
  $view->name = 'customer_receipt_list';
  $view->description = 'List of receipts by customer';
  $view->tag = 'ec_receipt';
  $view->base_table = 'ec_receipt';
  $view->human_name = '';
  $view->core = 0;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['use_ajax'] = TRUE;
  $handler->display->display_options['access']['type'] = 'ec_customer';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = 50;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['grouping'] = '';
  $handler->display->display_options['style_options']['columns'] = array(
    'erid' => 'erid',
    'type' => 'type',
    'amount' => 'amount',
    'balance' => 'balance',
    'created' => 'created',
    'status' => 'status',
  );
  $handler->display->display_options['style_options']['default'] = 'erid';
  $handler->display->display_options['style_options']['info'] = array(
    'erid' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'type' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'amount' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'balance' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'created' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'status' => array(
      'sortable' => 1,
      'separator' => '',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 1;
  $handler->display->display_options['style_options']['order'] = 'desc';
  /* Field: Receipts: Receipt no. */
  $handler->display->display_options['fields']['erid']['id'] = 'erid';
  $handler->display->display_options['fields']['erid']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['erid']['field'] = 'erid';
  /* Field: Receipts: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  /* Field: Receipts: Amount */
  $handler->display->display_options['fields']['amount']['id'] = 'amount';
  $handler->display->display_options['fields']['amount']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['amount']['field'] = 'amount';
  /* Field: Receipts: Balance */
  $handler->display->display_options['fields']['balance']['id'] = 'balance';
  $handler->display->display_options['fields']['balance']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['balance']['field'] = 'balance';
  /* Field: Receipts: Created */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['date_format'] = 'custom';
  $handler->display->display_options['fields']['created']['custom_date_format'] = 'j M y';
  /* Field: Receipts: Status */
  $handler->display->display_options['fields']['status']['id'] = 'status';
  $handler->display->display_options['fields']['status']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['status']['field'] = 'status';
  /* Field: Receipts: Operations */
  $handler->display->display_options['fields']['operations']['id'] = 'operations';
  $handler->display->display_options['fields']['operations']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['operations']['field'] = 'operations';
  $handler->display->display_options['fields']['operations']['label'] = '';
  /* Contextual filter: Customer: Customer */
  $handler->display->display_options['arguments']['ecid']['id'] = 'ecid';
  $handler->display->display_options['arguments']['ecid']['table'] = 'ec_customer';
  $handler->display->display_options['arguments']['ecid']['field'] = 'ecid';
  $handler->display->display_options['arguments']['ecid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['ecid']['exception']['title_enable'] = 1;
  $handler->display->display_options['arguments']['ecid']['title_enable'] = 1;
  $handler->display->display_options['arguments']['ecid']['title'] = '%1';
  $handler->display->display_options['arguments']['ecid']['default_argument_type'] = 'user';
  $handler->display->display_options['arguments']['ecid']['default_argument_options']['user'] = FALSE;
  $handler->display->display_options['arguments']['ecid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['ecid']['specify_validation'] = 1;
  $handler->display->display_options['arguments']['ecid']['break_phrase'] = 1;
  $handler->display->display_options['arguments']['ecid']['not'] = 0;

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->display->display_options['path'] = 'user/%/store/receipts';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Receipts';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'management';
  $handler->display->display_options['tab_options']['name'] = 'management';
  $views['customer_receipt_list'] = $view;

  $view = new view;
  $view->name = 'ec_receipt_allocation_list';
  $view->description = 'List of Allocations made for a receipt';
  $view->tag = 'ec_receipt';
  $view->base_table = 'ec_receipt_allocation';
  $view->human_name = '';
  $view->core = 0;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['use_ajax'] = TRUE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'table_multi';
  $handler->display->display_options['style_options']['grouping'] = '';
  $handler->display->display_options['style_options']['columns'] = array(
    'type' => 'type',
    'eaid' => 'eaid',
    'created' => 'created',
    'amount' => 'amount',
    'reversed' => 'reversed',
    'operations' => 'operations',
  );
  $handler->display->display_options['style_options']['default'] = 'eaid';
  $handler->display->display_options['style_options']['info'] = array(
    'type' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'eaid' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'created' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'amount' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'reversed' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'operations' => array(
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 0;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['text']['id'] = 'area';
  $handler->display->display_options['empty']['text']['table'] = 'views';
  $handler->display->display_options['empty']['text']['field'] = 'area';
  $handler->display->display_options['empty']['text']['empty'] = FALSE;
  $handler->display->display_options['empty']['text']['content'] = 'No allocations';
  $handler->display->display_options['empty']['text']['format'] = '1';
  /* Field: Receipt allocation: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'ec_receipt_allocation';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  /* Field: Receipt allocation: Allocation id */
  $handler->display->display_options['fields']['eaid']['id'] = 'eaid';
  $handler->display->display_options['fields']['eaid']['table'] = 'ec_receipt_allocation';
  $handler->display->display_options['fields']['eaid']['field'] = 'eaid';
  $handler->display->display_options['fields']['eaid']['label'] = 'Id';
  /* Field: Receipt allocation: Created */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'ec_receipt_allocation';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['date_format'] = 'custom';
  $handler->display->display_options['fields']['created']['custom_date_format'] = 'j M y';
  /* Field: Receipt allocation: Amount */
  $handler->display->display_options['fields']['amount']['id'] = 'amount';
  $handler->display->display_options['fields']['amount']['table'] = 'ec_receipt_allocation';
  $handler->display->display_options['fields']['amount']['field'] = 'amount';
  /* Field: Receipt allocation: Reversed */
  $handler->display->display_options['fields']['reversed']['id'] = 'reversed';
  $handler->display->display_options['fields']['reversed']['table'] = 'ec_receipt_allocation';
  $handler->display->display_options['fields']['reversed']['field'] = 'reversed';
  $handler->display->display_options['fields']['reversed']['not'] = 0;
  /* Field: Receipt allocation: Operations */
  $handler->display->display_options['fields']['operations']['id'] = 'operations';
  $handler->display->display_options['fields']['operations']['table'] = 'ec_receipt_allocation';
  $handler->display->display_options['fields']['operations']['field'] = 'operations';
  $handler->display->display_options['fields']['operations']['label'] = '';
  /* Contextual filter: Receipt allocation: Receipt Id */
  $handler->display->display_options['arguments']['erid']['id'] = 'erid';
  $handler->display->display_options['arguments']['erid']['table'] = 'ec_receipt_allocation';
  $handler->display->display_options['arguments']['erid']['field'] = 'erid';
  $handler->display->display_options['arguments']['erid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['erid']['exception']['title_enable'] = 1;
  $handler->display->display_options['arguments']['erid']['default_argument_type'] = 'receipt_id';
  $handler->display->display_options['arguments']['erid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['erid']['specify_validation'] = 1;
  $handler->display->display_options['arguments']['erid']['validate']['fail'] = 'empty';
  $handler->display->display_options['arguments']['erid']['break_phrase'] = 0;
  $handler->display->display_options['arguments']['erid']['not'] = 0;
  $views['ec_receipt_allocation_list'] = $view;

  $view = new view;
  $view->name = 'ec_receipt_list';
  $view->description = 'List of all receipts.';
  $view->tag = 'ec_receipt';
  $view->base_table = 'ec_receipt';
  $view->human_name = '';
  $view->core = 0;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['title'] = 'Receipts';
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'store admin report';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['style_plugin'] = 'table_multi';
  $handler->display->display_options['style_options']['grouping'] = '';
  $handler->display->display_options['style_options']['columns'] = array(
    'erid' => 'erid',
    'customer_name' => 'customer_name',
    'type' => 'type',
    'currency' => 'currency',
    'amount' => 'amount',
    'balance' => 'balance',
    'created' => 'created',
    'changed' => 'changed',
    'status' => 'status',
    'operations' => 'operations',
  );
  $handler->display->display_options['style_options']['default'] = 'erid';
  $handler->display->display_options['style_options']['info'] = array(
    'erid' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'customer_name' => array(
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'type' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'currency' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'amount' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'balance' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'created' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'changed' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'status' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'operations' => array(
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 1;
  $handler->display->display_options['style_options']['order'] = 'desc';
  /* Field: Bulk operations: Receipts */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['label'] = 'Bulk operations';
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['external'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['html'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['hide_empty'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['empty_zero'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['operations'] = array(
    'action::ec_receipt_action_allocate' => array(
      'selected' => 1,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::views_bulk_operations_delete_item' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::ec_receipt_action_delete' => array(
      'selected' => 1,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::system_message_action' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::views_bulk_operations_script_action' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::views_bulk_operations_modify_action' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'settings' => array(
        'show_all_tokens' => 1,
        'display_values' => array(
          '_all_' => '_all_',
        ),
      ),
    ),
    'action::views_bulk_operations_argument_selector_action' => array(
      'selected' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'settings' => array(
        'url' => '',
      ),
    ),
    'action::system_goto_action' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::ec_receipt_action_refund' => array(
      'selected' => 1,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::system_send_email_action' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
  );
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['enable_select_all_pages'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['display_type'] = '0';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['display_result'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['merge_single_action'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['force_single'] = 0;
  /* Field: Receipts: Receipt no. */
  $handler->display->display_options['fields']['erid']['id'] = 'erid';
  $handler->display->display_options['fields']['erid']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['erid']['field'] = 'erid';
  $handler->display->display_options['fields']['erid']['label'] = 'Id';
  /* Field: Customer: Customer name */
  $handler->display->display_options['fields']['customer_name']['id'] = 'customer_name';
  $handler->display->display_options['fields']['customer_name']['table'] = 'ec_customer';
  $handler->display->display_options['fields']['customer_name']['field'] = 'customer_name';
  /* Field: Receipts: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  /* Field: Receipts: Currency */
  $handler->display->display_options['fields']['currency']['id'] = 'currency';
  $handler->display->display_options['fields']['currency']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['currency']['field'] = 'currency';
  /* Field: Receipts: Amount */
  $handler->display->display_options['fields']['amount']['id'] = 'amount';
  $handler->display->display_options['fields']['amount']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['amount']['field'] = 'amount';
  /* Field: Receipts: Balance */
  $handler->display->display_options['fields']['balance']['id'] = 'balance';
  $handler->display->display_options['fields']['balance']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['balance']['field'] = 'balance';
  /* Field: Receipts: Created */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['date_format'] = 'custom';
  $handler->display->display_options['fields']['created']['custom_date_format'] = 'j M y';
  /* Field: Receipts: Changed */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['date_format'] = 'custom';
  $handler->display->display_options['fields']['changed']['custom_date_format'] = 'j M y';
  /* Field: Receipts: Status */
  $handler->display->display_options['fields']['status']['id'] = 'status';
  $handler->display->display_options['fields']['status']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['status']['field'] = 'status';
  /* Field: Receipts: Operations */
  $handler->display->display_options['fields']['operations']['id'] = 'operations';
  $handler->display->display_options['fields']['operations']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['operations']['field'] = 'operations';
  $handler->display->display_options['fields']['operations']['label'] = '';
  $handler->display->display_options['fields']['operations']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['operations']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['operations']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['operations']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['operations']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['operations']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['operations']['alter']['html'] = 0;
  $handler->display->display_options['fields']['operations']['hide_empty'] = 0;
  $handler->display->display_options['fields']['operations']['empty_zero'] = 0;
  /* Filter criterion: Receipts: Created */
  $handler->display->display_options['filters']['created']['id'] = 'created';
  $handler->display->display_options['filters']['created']['table'] = 'ec_receipt';
  $handler->display->display_options['filters']['created']['field'] = 'created';
  $handler->display->display_options['filters']['created']['group'] = 1;
  $handler->display->display_options['filters']['created']['exposed'] = TRUE;
  $handler->display->display_options['filters']['created']['expose']['operator_id'] = 'created_op';
  $handler->display->display_options['filters']['created']['expose']['label'] = 'Created';
  $handler->display->display_options['filters']['created']['expose']['use_operator'] = 1;
  $handler->display->display_options['filters']['created']['expose']['operator'] = 'created_op';
  $handler->display->display_options['filters']['created']['expose']['identifier'] = 'created';
  $handler->display->display_options['filters']['created']['expose']['required'] = FALSE;
  /* Filter criterion: Search: Search Terms */
  $handler->display->display_options['filters']['keys']['id'] = 'keys';
  $handler->display->display_options['filters']['keys']['table'] = 'search_index';
  $handler->display->display_options['filters']['keys']['field'] = 'keys';
  $handler->display->display_options['filters']['keys']['group'] = 1;
  $handler->display->display_options['filters']['keys']['exposed'] = TRUE;
  $handler->display->display_options['filters']['keys']['expose']['operator_id'] = 'keys_op';
  $handler->display->display_options['filters']['keys']['expose']['label'] = 'Search';
  $handler->display->display_options['filters']['keys']['expose']['operator'] = 'keys_op';
  $handler->display->display_options['filters']['keys']['expose']['identifier'] = 'keys';
  $handler->display->display_options['filters']['keys']['expose']['required'] = FALSE;
  /* Filter criterion: Receipts: Receipt no. */
  $handler->display->display_options['filters']['erid']['id'] = 'erid';
  $handler->display->display_options['filters']['erid']['table'] = 'ec_receipt';
  $handler->display->display_options['filters']['erid']['field'] = 'erid';
  $handler->display->display_options['filters']['erid']['group'] = 1;
  $handler->display->display_options['filters']['erid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['erid']['expose']['operator_id'] = 'erid_op';
  $handler->display->display_options['filters']['erid']['expose']['label'] = 'Receipt no.';
  $handler->display->display_options['filters']['erid']['expose']['operator'] = 'erid_op';
  $handler->display->display_options['filters']['erid']['expose']['identifier'] = 'erid';
  $handler->display->display_options['filters']['erid']['expose']['required'] = FALSE;
  /* Filter criterion: Receipts: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'ec_receipt';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['group'] = 1;
  $handler->display->display_options['filters']['type']['exposed'] = TRUE;
  $handler->display->display_options['filters']['type']['expose']['operator_id'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['label'] = 'Type';
  $handler->display->display_options['filters']['type']['expose']['operator'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['identifier'] = 'type';
  $handler->display->display_options['filters']['type']['expose']['required'] = FALSE;
  $handler->display->display_options['filters']['type']['expose']['reduce'] = 0;
  /* Filter criterion: Receipts: Changed */
  $handler->display->display_options['filters']['changed']['id'] = 'changed';
  $handler->display->display_options['filters']['changed']['table'] = 'ec_receipt';
  $handler->display->display_options['filters']['changed']['field'] = 'changed';
  $handler->display->display_options['filters']['changed']['group'] = 1;
  $handler->display->display_options['filters']['changed']['exposed'] = TRUE;
  $handler->display->display_options['filters']['changed']['expose']['operator_id'] = 'changed_op';
  $handler->display->display_options['filters']['changed']['expose']['label'] = 'Changed';
  $handler->display->display_options['filters']['changed']['expose']['use_operator'] = 1;
  $handler->display->display_options['filters']['changed']['expose']['operator'] = 'changed_op';
  $handler->display->display_options['filters']['changed']['expose']['identifier'] = 'changed';
  $handler->display->display_options['filters']['changed']['expose']['required'] = FALSE;
  /* Filter criterion: Receipt allocation: Type */
  $handler->display->display_options['filters']['type_1']['id'] = 'type_1';
  $handler->display->display_options['filters']['type_1']['table'] = 'ec_receipt_allocation';
  $handler->display->display_options['filters']['type_1']['field'] = 'type';
  $handler->display->display_options['filters']['type_1']['group'] = 1;
  $handler->display->display_options['filters']['type_1']['exposed'] = TRUE;
  $handler->display->display_options['filters']['type_1']['expose']['operator_id'] = 'type_1_op';
  $handler->display->display_options['filters']['type_1']['expose']['label'] = 'Allocation type';
  $handler->display->display_options['filters']['type_1']['expose']['operator'] = 'type_1_op';
  $handler->display->display_options['filters']['type_1']['expose']['identifier'] = 'allocation';
  $handler->display->display_options['filters']['type_1']['expose']['required'] = FALSE;
  $handler->display->display_options['filters']['type_1']['expose']['reduce'] = 0;
  /* Filter criterion: Receipt allocation: Amount */
  $handler->display->display_options['filters']['amount_1']['id'] = 'amount_1';
  $handler->display->display_options['filters']['amount_1']['table'] = 'ec_receipt_allocation';
  $handler->display->display_options['filters']['amount_1']['field'] = 'amount';
  $handler->display->display_options['filters']['amount_1']['group'] = 1;
  $handler->display->display_options['filters']['amount_1']['exposed'] = TRUE;
  $handler->display->display_options['filters']['amount_1']['expose']['operator_id'] = 'amount_1_op';
  $handler->display->display_options['filters']['amount_1']['expose']['label'] = 'Allocated amount';
  $handler->display->display_options['filters']['amount_1']['expose']['use_operator'] = 1;
  $handler->display->display_options['filters']['amount_1']['expose']['operator'] = 'amount_1_op';
  $handler->display->display_options['filters']['amount_1']['expose']['identifier'] = 'amount_1';
  $handler->display->display_options['filters']['amount_1']['expose']['required'] = FALSE;
  /* Filter criterion: Receipt allocation: Created */
  $handler->display->display_options['filters']['created_1']['id'] = 'created_1';
  $handler->display->display_options['filters']['created_1']['table'] = 'ec_receipt_allocation';
  $handler->display->display_options['filters']['created_1']['field'] = 'created';
  $handler->display->display_options['filters']['created_1']['group'] = 1;
  $handler->display->display_options['filters']['created_1']['exposed'] = TRUE;
  $handler->display->display_options['filters']['created_1']['expose']['operator_id'] = 'created_1_op';
  $handler->display->display_options['filters']['created_1']['expose']['label'] = 'Allocation date';
  $handler->display->display_options['filters']['created_1']['expose']['use_operator'] = 1;
  $handler->display->display_options['filters']['created_1']['expose']['operator'] = 'created_1_op';
  $handler->display->display_options['filters']['created_1']['expose']['identifier'] = 'created_1';
  $handler->display->display_options['filters']['created_1']['expose']['required'] = FALSE;
  /* Filter criterion: Receipt allocation: External id */
  $handler->display->display_options['filters']['etid']['id'] = 'etid';
  $handler->display->display_options['filters']['etid']['table'] = 'ec_receipt_allocation';
  $handler->display->display_options['filters']['etid']['field'] = 'etid';
  $handler->display->display_options['filters']['etid']['group'] = 1;
  $handler->display->display_options['filters']['etid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['etid']['expose']['operator_id'] = 'etid_op';
  $handler->display->display_options['filters']['etid']['expose']['label'] = 'External allocation id';
  $handler->display->display_options['filters']['etid']['expose']['operator'] = 'etid_op';
  $handler->display->display_options['filters']['etid']['expose']['identifier'] = 'etid';
  /* Filter criterion: Receipt allocation: Reversed */
  $handler->display->display_options['filters']['reversed']['id'] = 'reversed';
  $handler->display->display_options['filters']['reversed']['table'] = 'ec_receipt_allocation';
  $handler->display->display_options['filters']['reversed']['field'] = 'reversed';
  $handler->display->display_options['filters']['reversed']['value'] = 'All';
  $handler->display->display_options['filters']['reversed']['group'] = 1;
  $handler->display->display_options['filters']['reversed']['exposed'] = TRUE;
  $handler->display->display_options['filters']['reversed']['expose']['label'] = 'Allocation Reversed';
  $handler->display->display_options['filters']['reversed']['expose']['identifier'] = 'reversed';
  $handler->display->display_options['filters']['reversed']['expose']['required'] = FALSE;
  /* Filter criterion: Receipt allocation: Type */
  $handler->display->display_options['filters']['type_2']['id'] = 'type_2';
  $handler->display->display_options['filters']['type_2']['table'] = 'ec_receipt_allocation';
  $handler->display->display_options['filters']['type_2']['field'] = 'type';
  $handler->display->display_options['filters']['type_2']['group'] = 1;
  $handler->display->display_options['filters']['type_2']['exposed'] = TRUE;
  $handler->display->display_options['filters']['type_2']['expose']['operator_id'] = 'type_2_op';
  $handler->display->display_options['filters']['type_2']['expose']['label'] = 'Allocation type';
  $handler->display->display_options['filters']['type_2']['expose']['operator'] = 'type_2_op';
  $handler->display->display_options['filters']['type_2']['expose']['identifier'] = 'type_2';
  $handler->display->display_options['filters']['type_2']['expose']['required'] = FALSE;
  $handler->display->display_options['filters']['type_2']['expose']['multiple'] = FALSE;
  $handler->display->display_options['filters']['type_2']['expose']['reduce'] = 0;

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table_multi';
  $handler->display->display_options['style_options']['columns'] = array(
    'views_bulk_operations' => 'views_bulk_operations',
    'erid' => 'erid',
    'customer_name' => 'customer_name',
    'type' => 'type',
    'currency' => 'currency',
    'amount' => 'amount',
    'balance' => 'balance',
    'created' => 'created',
    'changed' => 'changed',
    'status' => 'status',
    'operations' => 'operations',
  );
  $handler->display->display_options['style_options']['default'] = 'erid';
  $handler->display->display_options['style_options']['info'] = array(
    'views_bulk_operations' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'erid' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'customer_name' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'type' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'currency' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'amount' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'balance' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'created' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'changed' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'status' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'operations' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 1;
  $handler->display->display_options['style_options']['empty_table'] = 0;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['path'] = 'admin/store/receipts';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Receipts';
  $handler->display->display_options['menu']['description'] = 'List of receipts that have been paid into the system.';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'management';
  $handler->display->display_options['tab_options']['name'] = 'management';
  $views['ec_receipt_list'] = $view;

  $view = new view;
  $view->name = 'ec_receipt_pending_refunds';
  $view->description = 'List of all receipts pending refunds.';
  $view->tag = 'ec_receipt';
  $view->base_table = 'ec_receipt';
  $view->human_name = '';
  $view->core = 0;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['title'] = 'Receipts';
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'store admin report';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['style_plugin'] = 'table_multi';
  $handler->display->display_options['style_options']['grouping'] = '';
  $handler->display->display_options['style_options']['columns'] = array(
    'erid' => 'erid',
    'customer_name' => 'customer_name',
    'type' => 'type',
    'currency' => 'currency',
    'amount' => 'amount',
    'balance' => 'balance',
    'created' => 'created',
    'changed' => 'changed',
    'status' => 'status',
    'operations' => 'operations',
  );
  $handler->display->display_options['style_options']['default'] = 'erid';
  $handler->display->display_options['style_options']['info'] = array(
    'erid' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'customer_name' => array(
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'type' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'currency' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'amount' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'balance' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'created' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'changed' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'status' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'operations' => array(
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 1;
  $handler->display->display_options['style_options']['order'] = 'desc';
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['text']['id'] = 'area';
  $handler->display->display_options['empty']['text']['table'] = 'views';
  $handler->display->display_options['empty']['text']['field'] = 'area';
  $handler->display->display_options['empty']['text']['empty'] = FALSE;
  $handler->display->display_options['empty']['text']['content'] = 'No refunds pending';
  $handler->display->display_options['empty']['text']['format'] = '1';
  /* Field: Bulk operations: Receipts */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['external'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['html'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['hide_empty'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['empty_zero'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['operations'] = array(
    'action::ec_receipt_action_allocate' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::views_bulk_operations_delete_item' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::ec_receipt_action_delete' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::system_message_action' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::views_bulk_operations_script_action' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::views_bulk_operations_modify_action' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'settings' => array(
        'show_all_tokens' => 1,
        'display_values' => array(
          '_all_' => '_all_',
        ),
      ),
    ),
    'action::views_bulk_operations_argument_selector_action' => array(
      'selected' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'settings' => array(
        'url' => '',
      ),
    ),
    'action::system_goto_action' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::ec_receipt_action_refund' => array(
      'selected' => 1,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::system_send_email_action' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
  );
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['enable_select_all_pages'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['display_type'] = '1';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['display_result'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['merge_single_action'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['force_single'] = 0;
  /* Field: Receipts: Receipt no. */
  $handler->display->display_options['fields']['erid']['id'] = 'erid';
  $handler->display->display_options['fields']['erid']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['erid']['field'] = 'erid';
  $handler->display->display_options['fields']['erid']['label'] = 'Id';
  /* Field: Customer: Customer name */
  $handler->display->display_options['fields']['customer_name']['id'] = 'customer_name';
  $handler->display->display_options['fields']['customer_name']['table'] = 'ec_customer';
  $handler->display->display_options['fields']['customer_name']['field'] = 'customer_name';
  /* Field: Receipts: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  /* Field: Receipts: Currency */
  $handler->display->display_options['fields']['currency']['id'] = 'currency';
  $handler->display->display_options['fields']['currency']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['currency']['field'] = 'currency';
  /* Field: Receipts: Amount */
  $handler->display->display_options['fields']['amount']['id'] = 'amount';
  $handler->display->display_options['fields']['amount']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['amount']['field'] = 'amount';
  /* Field: Receipts: Balance */
  $handler->display->display_options['fields']['balance']['id'] = 'balance';
  $handler->display->display_options['fields']['balance']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['balance']['field'] = 'balance';
  /* Field: Receipts: Created */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['date_format'] = 'custom';
  $handler->display->display_options['fields']['created']['custom_date_format'] = 'j M y';
  /* Field: Receipts: Changed */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['date_format'] = 'custom';
  $handler->display->display_options['fields']['changed']['custom_date_format'] = 'j M y';
  /* Field: Receipts: Status */
  $handler->display->display_options['fields']['status']['id'] = 'status';
  $handler->display->display_options['fields']['status']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['status']['field'] = 'status';
  /* Field: Receipts: Operations */
  $handler->display->display_options['fields']['operations']['id'] = 'operations';
  $handler->display->display_options['fields']['operations']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['operations']['field'] = 'operations';
  /* Filter criterion: Receipts: Status */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'ec_receipt';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = array(
    5 => '5',
  );
  $handler->display->display_options['filters']['status']['group'] = '0';
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table_multi';
  $handler->display->display_options['style_options']['grouping'] = '';
  $handler->display->display_options['style_options']['columns'] = array(
    'erid' => 'erid',
    'customer_name' => 'customer_name',
    'type' => 'type',
    'currency' => 'currency',
    'amount' => 'amount',
    'balance' => 'balance',
    'created' => 'created',
    'changed' => 'changed',
    'status' => 'status',
    'operations' => 'operations',
  );
  $handler->display->display_options['style_options']['default'] = 'erid';
  $handler->display->display_options['style_options']['info'] = array(
    'erid' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'customer_name' => array(
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'type' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'currency' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'amount' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'balance' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'created' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'changed' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'status' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'operations' => array(
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 1;
  $handler->display->display_options['style_options']['order'] = 'desc';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['path'] = 'admin/store/refunds_pending';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Refunds pending';
  $handler->display->display_options['menu']['description'] = 'List of receipts that have are pending refunds.';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'management';
  $handler->display->display_options['tab_options']['name'] = 'management';
  $views['ec_receipt_pending_refunds'] = $view;

  $view = new view;
  $view->name = 'receipt_allocation';
  $view->description = 'Allocation of Receipts';
  $view->tag = 'ec_receipt';
  $view->base_table = 'ec_receipt_allocation';
  $view->human_name = '';
  $view->core = 0;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['title'] = 'Receipt Allocations';
  $handler->display->display_options['use_ajax'] = TRUE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'store admin report';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['style_plugin'] = 'table_multi';
  $handler->display->display_options['style_options']['grouping'] = '';
  $handler->display->display_options['style_options']['columns'] = array(
    'erid' => 'erid',
    'eaid' => 'eaid',
    'created' => 'created',
    'type' => 'type',
    'etid' => 'etid',
    'status' => 'status',
    'amount' => 'amount',
    'balance' => 'balance',
    'operations' => 'operations',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'erid' => array(
      'sortable' => 0,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'eaid' => array(
      'sortable' => 0,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'created' => array(
      'sortable' => 0,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'type' => array(
      'sortable' => 0,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'etid' => array(
      'sortable' => 0,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'status' => array(
      'sortable' => 0,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'amount' => array(
      'sortable' => 0,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'balance' => array(
      'sortable' => 0,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'operations' => array(
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 0;
  /* Field: Receipts: Receipt no. */
  $handler->display->display_options['fields']['erid']['id'] = 'erid';
  $handler->display->display_options['fields']['erid']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['erid']['field'] = 'erid';
  $handler->display->display_options['fields']['erid']['label'] = 'Receipt no';
  $handler->display->display_options['fields']['erid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['erid']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['erid']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['erid']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['erid']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['erid']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['erid']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['erid']['alter']['html'] = 0;
  /* Field: Receipt allocation: Allocation id */
  $handler->display->display_options['fields']['eaid']['id'] = 'eaid';
  $handler->display->display_options['fields']['eaid']['table'] = 'ec_receipt_allocation';
  $handler->display->display_options['fields']['eaid']['field'] = 'eaid';
  $handler->display->display_options['fields']['eaid']['label'] = 'Id';
  $handler->display->display_options['fields']['eaid']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['eaid']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['eaid']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['eaid']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['eaid']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['eaid']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['eaid']['alter']['html'] = 0;
  /* Field: Receipt allocation: Created */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'ec_receipt_allocation';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['created']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['created']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['created']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['created']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['created']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['created']['alter']['html'] = 0;
  $handler->display->display_options['fields']['created']['date_format'] = 'custom';
  $handler->display->display_options['fields']['created']['custom_date_format'] = 'd M y';
  /* Field: Receipt allocation: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'ec_receipt_allocation';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  $handler->display->display_options['fields']['type']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['type']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['type']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['type']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['type']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['type']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['type']['alter']['html'] = 0;
  /* Field: Receipt allocation: External id */
  $handler->display->display_options['fields']['etid']['id'] = 'etid';
  $handler->display->display_options['fields']['etid']['table'] = 'ec_receipt_allocation';
  $handler->display->display_options['fields']['etid']['field'] = 'etid';
  $handler->display->display_options['fields']['etid']['label'] = 'Txnid';
  $handler->display->display_options['fields']['etid']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['etid']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['etid']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['etid']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['etid']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['etid']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['etid']['alter']['html'] = 0;
  /* Field: Receipts: Status */
  $handler->display->display_options['fields']['status']['id'] = 'status';
  $handler->display->display_options['fields']['status']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['status']['field'] = 'status';
  $handler->display->display_options['fields']['status']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['status']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['status']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['status']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['status']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['status']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['status']['alter']['html'] = 0;
  /* Field: Receipt allocation: Amount */
  $handler->display->display_options['fields']['amount']['id'] = 'amount';
  $handler->display->display_options['fields']['amount']['table'] = 'ec_receipt_allocation';
  $handler->display->display_options['fields']['amount']['field'] = 'amount';
  $handler->display->display_options['fields']['amount']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['amount']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['amount']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['amount']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['amount']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['amount']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['amount']['alter']['html'] = 0;
  /* Field: Receipts: Balance */
  $handler->display->display_options['fields']['balance']['id'] = 'balance';
  $handler->display->display_options['fields']['balance']['table'] = 'ec_receipt';
  $handler->display->display_options['fields']['balance']['field'] = 'balance';
  $handler->display->display_options['fields']['balance']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['balance']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['balance']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['balance']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['balance']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['balance']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['balance']['alter']['html'] = 0;
  /* Field: Receipt allocation: Operations */
  $handler->display->display_options['fields']['operations']['id'] = 'operations';
  $handler->display->display_options['fields']['operations']['table'] = 'ec_receipt_allocation';
  $handler->display->display_options['fields']['operations']['field'] = 'operations';
  $handler->display->display_options['fields']['operations']['label'] = '';
  $handler->display->display_options['fields']['operations']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['operations']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['operations']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['operations']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['operations']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['operations']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['operations']['alter']['html'] = 0;
  $handler->display->display_options['fields']['operations']['hide_empty'] = 0;
  $handler->display->display_options['fields']['operations']['empty_zero'] = 0;

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->display->display_options['path'] = 'admin/store/receipts_alloc';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Receipt Allocation';
  $handler->display->display_options['menu']['description'] = 'Shows how all the receipts have been allocated.';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'management';
  $handler->display->display_options['tab_options']['name'] = 'management';
  $views['receipt_allocation'] = $view;

  return $views;
}
