<?php

/**
 * @file
 * Bulk export of views_default objects generated by Bulk export module.
 */

/**
 * Implementation of hook_views_default_views()
 */
function ec_store_views_default_views() {
  $views = array();

  $view = new view;
  $view->name = 'customer_transaction_list';
  $view->description = 'List of transactions by customer';
  $view->tag = 'ec_store';
  $view->base_table = 'ec_transaction';
  $view->human_name = '';
  $view->core = 0;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['use_ajax'] = TRUE;
  $handler->display->display_options['access']['type'] = 'ec_customer';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = 50;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['grouping'] = '';
  $handler->display->display_options['style_options']['columns'] = array(
    'txnid' => 'txnid',
    'gross' => 'gross',
    'created' => 'created',
    'changed' => 'changed',
    'allocation' => 'allocation',
    'workflow' => 'workflow',
    'operations' => 'operations',
  );
  $handler->display->display_options['style_options']['default'] = 'txnid';
  $handler->display->display_options['style_options']['info'] = array(
    'txnid' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'gross' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'created' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'changed' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'allocation' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'workflow' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'operations' => array(
      'separator' => '',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 1;
  $handler->display->display_options['style_options']['order'] = 'desc';
  /* Field: Transaction: Transaction id */
  $handler->display->display_options['fields']['txnid']['id'] = 'txnid';
  $handler->display->display_options['fields']['txnid']['table'] = 'ec_transaction';
  $handler->display->display_options['fields']['txnid']['field'] = 'txnid';
  $handler->display->display_options['fields']['txnid']['label'] = 'Id';
  /* Field: Transaction: Gross */
  $handler->display->display_options['fields']['gross']['id'] = 'gross';
  $handler->display->display_options['fields']['gross']['table'] = 'ec_transaction';
  $handler->display->display_options['fields']['gross']['field'] = 'gross';
  $handler->display->display_options['fields']['gross']['label'] = 'Total';
  /* Field: Transaction: Created */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'ec_transaction';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['date_format'] = 'custom';
  $handler->display->display_options['fields']['created']['custom_date_format'] = 'j M y';
  /* Field: Transaction: Changed */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'ec_transaction';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['date_format'] = 'custom';
  $handler->display->display_options['fields']['changed']['custom_date_format'] = 'j M y';
  /* Field: Transaction workflow: Description */
  $handler->display->display_options['fields']['workflow']['id'] = 'workflow';
  $handler->display->display_options['fields']['workflow']['table'] = 'ec_workflow_statuses';
  $handler->display->display_options['fields']['workflow']['field'] = 'description';
  $handler->display->display_options['fields']['workflow']['label'] = 'Order Status';
  $handler->display->display_options['fields']['workflow']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['workflow']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['workflow']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['workflow']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['workflow']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['workflow']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['workflow']['alter']['html'] = 0;
  /* Field: Transaction: Allocation Status */
  $handler->display->display_options['fields']['allocation']['id'] = 'allocation';
  $handler->display->display_options['fields']['allocation']['table'] = 'ec_transaction';
  $handler->display->display_options['fields']['allocation']['field'] = 'allocation';
  $handler->display->display_options['fields']['allocation']['label'] = 'Payment Status';
  $handler->display->display_options['fields']['allocation']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['allocation']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['allocation']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['allocation']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['allocation']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['allocation']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['allocation']['alter']['html'] = 0;
  /* Field: Transaction: Operations */
  $handler->display->display_options['fields']['operations']['id'] = 'operations';
  $handler->display->display_options['fields']['operations']['table'] = 'ec_transaction';
  $handler->display->display_options['fields']['operations']['field'] = 'operations';
  $handler->display->display_options['fields']['operations']['label'] = '';
  /* Contextual filter: Customer: Customer */
  $handler->display->display_options['arguments']['ecid']['id'] = 'ecid';
  $handler->display->display_options['arguments']['ecid']['table'] = 'ec_customer';
  $handler->display->display_options['arguments']['ecid']['field'] = 'ecid';
  $handler->display->display_options['arguments']['ecid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['ecid']['exception']['title_enable'] = 1;
  $handler->display->display_options['arguments']['ecid']['title_enable'] = 1;
  $handler->display->display_options['arguments']['ecid']['title'] = '%1';
  $handler->display->display_options['arguments']['ecid']['default_argument_type'] = 'user';
  $handler->display->display_options['arguments']['ecid']['default_argument_options']['user'] = FALSE;
  $handler->display->display_options['arguments']['ecid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['ecid']['specify_validation'] = 1;
  $handler->display->display_options['arguments']['ecid']['validate']['fail'] = 'empty';
  $handler->display->display_options['arguments']['ecid']['break_phrase'] = 1;
  $handler->display->display_options['arguments']['ecid']['not'] = 0;

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->display->display_options['path'] = 'user/%/store/transactions';
  $handler->display->display_options['menu']['type'] = 'default tab';
  $handler->display->display_options['menu']['title'] = 'Transactions';
  $handler->display->display_options['menu']['weight'] = '-10';
  $handler->display->display_options['menu']['name'] = 'management';
  $handler->display->display_options['tab_options']['type'] = 'tab';
  $handler->display->display_options['tab_options']['title'] = 'Store';
  $handler->display->display_options['tab_options']['weight'] = '0';
  $handler->display->display_options['tab_options']['name'] = 'management';
  $views['customer_transaction_list'] = $view;

  $view = new view;
  $view->name = 'ec_transaction_in_picking';
  $view->description = 'List of transactions ready to be shipped.';
  $view->tag = 'ec_store';
  $view->base_table = 'ec_transaction';
  $view->human_name = '';
  $view->core = 0;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['title'] = 'In picking';
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['style_plugin'] = 'table_multi';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => 'txnid',
      'rendered' => 1,
      'rendered_strip' => 0,
    ),
  );
  $handler->display->display_options['style_options']['columns'] = array(
    'txnid' => 'txnid',
    'fullname' => 'fullname',
    'title' => 'title',
    'qty' => 'qty',
    'price' => 'price',
    'views_bulk_operations' => 'views_bulk_operations',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'txnid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'fullname' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'title' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'qty' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'price' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'views_bulk_operations' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 1;
  $handler->display->display_options['style_options']['empty_table'] = 0;
  /* Field: Transaction: Transaction id */
  $handler->display->display_options['fields']['txnid']['id'] = 'txnid';
  $handler->display->display_options['fields']['txnid']['table'] = 'ec_transaction';
  $handler->display->display_options['fields']['txnid']['field'] = 'txnid';
  /* Field: Transaction address: Name */
  $handler->display->display_options['fields']['fullname']['id'] = 'fullname';
  $handler->display->display_options['fields']['fullname']['table'] = 'ec_transaction_address';
  $handler->display->display_options['fields']['fullname']['field'] = 'fullname';
  /* Field: Transaction product: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'ec_transaction_product';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['title']['alter']['alt'] = '[title]';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  /* Field: Transaction product: Quantity */
  $handler->display->display_options['fields']['qty']['id'] = 'qty';
  $handler->display->display_options['fields']['qty']['table'] = 'ec_transaction_product';
  $handler->display->display_options['fields']['qty']['field'] = 'qty';
  /* Field: Transaction product: Price */
  $handler->display->display_options['fields']['price']['id'] = 'price';
  $handler->display->display_options['fields']['price']['table'] = 'ec_transaction_product';
  $handler->display->display_options['fields']['price']['field'] = 'price';
  /* Field: Bulk operations: Transaction */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'ec_transaction';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['external'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['more_link'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['html'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['hide_empty'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['empty_zero'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['operations'] = array(
    'rules_component::ec_complete_shipped_transactions' => array(
      'selected' => 1,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::views_bulk_operations_delete_item' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::ec_store_action_transaction_delete' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::system_message_action' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::views_bulk_operations_script_action' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::views_bulk_operations_modify_action' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'settings' => array(
        'show_all_tokens' => 1,
        'display_values' => array(
          '_all_' => '_all_',
        ),
      ),
    ),
    'action::views_bulk_operations_argument_selector_action' => array(
      'selected' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'settings' => array(
        'url' => '',
      ),
    ),
    'action::system_goto_action' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::system_send_email_action' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::ec_store_action_set_allocation' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::ec_store_action_set_workflow' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
  );
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['enable_select_all_pages'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['display_type'] = '1';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['display_result'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['merge_single_action'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['force_single'] = 0;
  /* Filter criterion: Transaction address: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'ec_transaction_address';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'billing' => 'billing',
  );
  $handler->display->display_options['filters']['type']['group'] = '0';
  $handler->display->display_options['filters']['type']['expose']['operator'] = FALSE;
  $handler->display->display_options['filters']['type']['reduce_duplicates'] = 0;
  /* Filter criterion: Transaction workflow: Workflow status */
  $handler->display->display_options['filters']['workflow']['id'] = 'workflow';
  $handler->display->display_options['filters']['workflow']['table'] = 'ec_workflow_statuses';
  $handler->display->display_options['filters']['workflow']['field'] = 'workflow';
  $handler->display->display_options['filters']['workflow']['value'] = array(
    10 => '10',
  );
  $handler->display->display_options['filters']['workflow']['group'] = '0';
  $handler->display->display_options['filters']['workflow']['expose']['operator'] = FALSE;
  /* Filter criterion: Transaction product: Shippable */
  $handler->display->display_options['filters']['shippable_1']['id'] = 'shippable_1';
  $handler->display->display_options['filters']['shippable_1']['table'] = 'ec_transaction_product';
  $handler->display->display_options['filters']['shippable_1']['field'] = 'shippable';
  $handler->display->display_options['filters']['shippable_1']['value'] = '1';
  $handler->display->display_options['filters']['shippable_1']['group'] = '0';
  $handler->display->display_options['filters']['shippable_1']['expose']['operator'] = FALSE;

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->display->display_options['path'] = 'admin/store/in_picking';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'In picking';
  $handler->display->display_options['menu']['description'] = 'List of unshipped orders.';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'management';
  $handler->display->display_options['tab_options']['name'] = 'management';
  $views['ec_transaction_in_picking'] = $view;

  $view = new view;
  $view->name = 'ec_transaction_list';
  $view->description = 'List of transactions in various stages';
  $view->tag = 'ec_store';
  $view->base_table = 'ec_transaction';
  $view->human_name = '';
  $view->core = 0;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['title'] = 'Transactions';
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'store admin manage';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '50';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['expose']['items_per_page_options_all'] = 0;
  $handler->display->display_options['style_plugin'] = 'table_multi';
  $handler->display->display_options['style_options']['grouping'] = '';
  $handler->display->display_options['style_options']['columns'] = array(
    'txnid' => 'txnid',
    'fullname' => 'fullname',
    'formatted_address' => 'fullname',
    'name' => 'fullname',
    'description' => 'description',
    'allocation' => 'description',
    'created' => 'created',
    'changed' => 'changed',
    'balance' => 'balance',
    'gross' => 'gross',
    'operations' => 'operations',
  );
  $handler->display->display_options['style_options']['default'] = 'txnid';
  $handler->display->display_options['style_options']['info'] = array(
    'txnid' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'fullname' => array(
      'sortable' => 0,
      'separator' => '<br />',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'formatted_address' => array(
      'sortable' => 0,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'name' => array(
      'sortable' => 0,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'description' => array(
      'sortable' => 1,
      'separator' => '<br />',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'allocation' => array(
      'sortable' => 0,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'created' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'changed' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'balance' => array(
      'sortable' => 0,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'gross' => array(
      'sortable' => 1,
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'operations' => array(
      'separator' => '',
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 1;
  $handler->display->display_options['style_options']['order'] = 'desc';
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = FALSE;
  $handler->display->display_options['empty']['area']['content'] = 'No transactions found';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  $handler->display->display_options['empty']['area']['tokenize'] = 0;
  /* Relationship: Customer: User Id */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'ec_customer';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  $handler->display->display_options['relationships']['uid']['required'] = 0;
  /* Field: Bulk operations: Transaction */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'ec_transaction';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['label'] = 'Bulk operations';
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['external'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['alter']['html'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['hide_empty'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['empty_zero'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['operations'] = array(
    'rules_component::ec_complete_shipped_transactions' => array(
      'selected' => 1,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::views_bulk_operations_delete_item' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::ec_store_action_transaction_delete' => array(
      'selected' => 1,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::system_message_action' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::views_bulk_operations_script_action' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::views_bulk_operations_modify_action' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'settings' => array(
        'show_all_tokens' => 1,
        'display_values' => array(
          '_all_' => '_all_',
        ),
      ),
    ),
    'action::views_bulk_operations_argument_selector_action' => array(
      'selected' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
      'settings' => array(
        'url' => '',
      ),
    ),
    'action::system_goto_action' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::system_send_email_action' => array(
      'selected' => 0,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::ec_store_action_set_allocation' => array(
      'selected' => 1,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::ec_store_action_set_workflow' => array(
      'selected' => 1,
      'use_queue' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
  );
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['enable_select_all_pages'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['display_type'] = '0';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['display_result'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['merge_single_action'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo']['force_single'] = 0;
  /* Field: Transaction: Transaction id */
  $handler->display->display_options['fields']['txnid']['id'] = 'txnid';
  $handler->display->display_options['fields']['txnid']['table'] = 'ec_transaction';
  $handler->display->display_options['fields']['txnid']['field'] = 'txnid';
  $handler->display->display_options['fields']['txnid']['label'] = 'Id';
  /* Field: Transaction address: Name */
  $handler->display->display_options['fields']['fullname']['id'] = 'fullname';
  $handler->display->display_options['fields']['fullname']['table'] = 'ec_transaction_address';
  $handler->display->display_options['fields']['fullname']['field'] = 'fullname';
  $handler->display->display_options['fields']['fullname']['label'] = 'Customer';
  $handler->display->display_options['fields']['fullname']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['fullname']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['fullname']['alter']['path'] = 'user/[uid]';
  $handler->display->display_options['fields']['fullname']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['fullname']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['fullname']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['fullname']['alter']['html'] = 0;
  /* Field: Transaction address: Address */
  $handler->display->display_options['fields']['formatted_address']['id'] = 'formatted_address';
  $handler->display->display_options['fields']['formatted_address']['table'] = 'ec_transaction_address';
  $handler->display->display_options['fields']['formatted_address']['field'] = 'formatted_address';
  $handler->display->display_options['fields']['formatted_address']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['formatted_address']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['formatted_address']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['formatted_address']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['formatted_address']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['formatted_address']['alter']['html'] = 0;
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  $handler->display->display_options['fields']['name']['alter']['alter_text'] = 1;
  $handler->display->display_options['fields']['name']['alter']['text'] = '<strong>User:</strong> [name]';
  $handler->display->display_options['fields']['name']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['name']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['name']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['name']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['name']['alter']['html'] = 0;
  $handler->display->display_options['fields']['name']['link_to_user'] = 1;
  $handler->display->display_options['fields']['name']['overwrite_anonymous'] = 0;
  /* Field: Transaction workflow: Description */
  $handler->display->display_options['fields']['description']['id'] = 'description';
  $handler->display->display_options['fields']['description']['table'] = 'ec_workflow_statuses';
  $handler->display->display_options['fields']['description']['field'] = 'description';
  $handler->display->display_options['fields']['description']['label'] = 'Workflow';
  $handler->display->display_options['fields']['description']['alter']['alter_text'] = 1;
  $handler->display->display_options['fields']['description']['alter']['text'] = '<strong>Workflow:</strong> [description]';
  $handler->display->display_options['fields']['description']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['description']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['description']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['description']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['description']['alter']['html'] = 0;
  /* Field: Transaction: Allocation Status */
  $handler->display->display_options['fields']['allocation']['id'] = 'allocation';
  $handler->display->display_options['fields']['allocation']['table'] = 'ec_transaction';
  $handler->display->display_options['fields']['allocation']['field'] = 'allocation';
  $handler->display->display_options['fields']['allocation']['alter']['alter_text'] = 1;
  $handler->display->display_options['fields']['allocation']['alter']['text'] = '<strong>Allocation:</strong> [allocation]';
  $handler->display->display_options['fields']['allocation']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['allocation']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['allocation']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['allocation']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['allocation']['alter']['html'] = 0;
  /* Field: Transaction: Created */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'ec_transaction';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['date_format'] = 'custom';
  $handler->display->display_options['fields']['created']['custom_date_format'] = 'd M y';
  /* Field: Transaction: Changed */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'ec_transaction';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['date_format'] = 'custom';
  $handler->display->display_options['fields']['changed']['custom_date_format'] = 'd M y';
  /* Field: Transaction: Balance */
  $handler->display->display_options['fields']['balance']['id'] = 'balance';
  $handler->display->display_options['fields']['balance']['table'] = 'ec_transaction';
  $handler->display->display_options['fields']['balance']['field'] = 'balance';
  $handler->display->display_options['fields']['balance']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['balance']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['balance']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['balance']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['balance']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['balance']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['balance']['alter']['html'] = 0;
  /* Field: Transaction: Gross */
  $handler->display->display_options['fields']['gross']['id'] = 'gross';
  $handler->display->display_options['fields']['gross']['table'] = 'ec_transaction';
  $handler->display->display_options['fields']['gross']['field'] = 'gross';
  $handler->display->display_options['fields']['gross']['label'] = 'Total';
  /* Field: Transaction: Operations */
  $handler->display->display_options['fields']['operations']['id'] = 'operations';
  $handler->display->display_options['fields']['operations']['table'] = 'ec_transaction';
  $handler->display->display_options['fields']['operations']['field'] = 'operations';
  $handler->display->display_options['fields']['operations']['label'] = '';
  $handler->display->display_options['filter_groups']['groups'] = array(
    1 => 'AND',
    2 => 'AND',
  );
  /* Filter criterion: Search: Search Terms */
  $handler->display->display_options['filters']['keys']['id'] = 'keys';
  $handler->display->display_options['filters']['keys']['table'] = 'search_index';
  $handler->display->display_options['filters']['keys']['field'] = 'keys';
  $handler->display->display_options['filters']['keys']['group'] = 1;
  $handler->display->display_options['filters']['keys']['exposed'] = TRUE;
  $handler->display->display_options['filters']['keys']['expose']['operator_id'] = 'keys_op';
  $handler->display->display_options['filters']['keys']['expose']['label'] = 'Search';
  $handler->display->display_options['filters']['keys']['expose']['operator'] = 'keys_op';
  $handler->display->display_options['filters']['keys']['expose']['identifier'] = 'keys';
  $handler->display->display_options['filters']['keys']['expose']['required'] = FALSE;
  /* Filter criterion: Transaction: Transaction id */
  $handler->display->display_options['filters']['txnid']['id'] = 'txnid';
  $handler->display->display_options['filters']['txnid']['table'] = 'ec_transaction';
  $handler->display->display_options['filters']['txnid']['field'] = 'txnid';
  $handler->display->display_options['filters']['txnid']['group'] = 1;
  $handler->display->display_options['filters']['txnid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['txnid']['expose']['operator_id'] = 'txnid_op';
  $handler->display->display_options['filters']['txnid']['expose']['label'] = 'Transaction id';
  $handler->display->display_options['filters']['txnid']['expose']['use_operator'] = 1;
  $handler->display->display_options['filters']['txnid']['expose']['operator'] = 'txnid_op';
  $handler->display->display_options['filters']['txnid']['expose']['identifier'] = 'txnid';
  $handler->display->display_options['filters']['txnid']['expose']['required'] = FALSE;
  /* Filter criterion: Transaction address: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'ec_transaction_address';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'billing' => 'billing',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  $handler->display->display_options['filters']['type']['expose']['operator'] = FALSE;
  $handler->display->display_options['filters']['type']['reduce_duplicates'] = 0;
  /* Filter criterion: Transaction workflow: Workflow status */
  $handler->display->display_options['filters']['workflow']['id'] = 'workflow';
  $handler->display->display_options['filters']['workflow']['table'] = 'ec_workflow_statuses';
  $handler->display->display_options['filters']['workflow']['field'] = 'workflow';
  $handler->display->display_options['filters']['workflow']['group'] = 1;
  $handler->display->display_options['filters']['workflow']['exposed'] = TRUE;
  $handler->display->display_options['filters']['workflow']['expose']['operator_id'] = 'workflow_op';
  $handler->display->display_options['filters']['workflow']['expose']['label'] = 'Workflow';
  $handler->display->display_options['filters']['workflow']['expose']['operator'] = 'workflow_op';
  $handler->display->display_options['filters']['workflow']['expose']['identifier'] = 'workflow';
  $handler->display->display_options['filters']['workflow']['expose']['required'] = FALSE;
  $handler->display->display_options['filters']['workflow']['expose']['reduce'] = 0;
  /* Filter criterion: Receipt allocation: Receipt Id */
  $handler->display->display_options['filters']['erid']['id'] = 'erid';
  $handler->display->display_options['filters']['erid']['table'] = 'ec_receipt_allocation';
  $handler->display->display_options['filters']['erid']['field'] = 'erid';
  $handler->display->display_options['filters']['erid']['group'] = 1;
  $handler->display->display_options['filters']['erid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['erid']['expose']['operator_id'] = 'erid_op';
  $handler->display->display_options['filters']['erid']['expose']['label'] = 'Receipt Id';
  $handler->display->display_options['filters']['erid']['expose']['operator'] = 'erid_op';
  $handler->display->display_options['filters']['erid']['expose']['identifier'] = 'erid';
  $handler->display->display_options['filters']['erid']['expose']['required'] = FALSE;

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table_multi';
  $handler->display->display_options['style_options']['columns'] = array(
    'views_bulk_operations' => 'views_bulk_operations',
    'txnid' => 'txnid',
    'fullname' => 'fullname',
    'formatted_address' => 'formatted_address',
    'name' => 'name',
    'description' => 'description',
    'allocation' => 'allocation',
    'created' => 'created',
    'changed' => 'changed',
    'balance' => 'balance',
    'gross' => 'gross',
    'operations' => 'operations',
  );
  $handler->display->display_options['style_options']['default'] = 'txnid';
  $handler->display->display_options['style_options']['info'] = array(
    'views_bulk_operations' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'txnid' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'fullname' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'formatted_address' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'name' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'description' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'allocation' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'created' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'changed' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'balance' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'gross' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
    'operations' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
      'row' => '',
      'rowspan' => '',
      'colspan' => '',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 0;
  $handler->display->display_options['style_options']['empty_table'] = 0;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['path'] = 'admin/store/transaction';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Transactions';
  $handler->display->display_options['menu']['description'] = 'List/search transactions.';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'management';
  $handler->display->display_options['tab_options']['name'] = 'management';
  $views['ec_transaction_list'] = $view;

  return $views;
}
